Skip to main content
GET
/
legal-documents
List legal documents
curl --request GET \
  --url https://api.engine.usesophic.com/legal-documents \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "name": "<string>",
    "document_type": "terms_of_service",
    "latest_version": {
      "id": "<string>",
      "legal_document": "<string>",
      "version": "<string>",
      "effective_at": "2023-11-07T05:31:56Z",
      "file": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "modified_at": "2023-11-07T05:31:56Z"
    },
    "created_at": "2023-11-07T05:31:56Z",
    "modified_at": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

document_type
enum<string>

Return legal documents of the given type.

Available options:
terms_of_service,
risk_disclosures,
conflicts_of_interest_policy,
complaints_handling_policy,
client_assets_safeguarding_policy,
order_execution_policy

Response

OK

id
string
required

Unique resource identifier.

name
string
required

Name of the legal document.

document_type
enum<string>
required

Type of the legal document.

Available options:
terms_of_service,
risk_disclosures,
conflicts_of_interest_policy,
complaints_handling_policy,
client_assets_safeguarding_policy,
order_execution_policy
latest_version
LegalDocumentVersion · object
required

Latest version of the legal document.

created_at
string<date-time>
required

The timestamp (in ISO-8601 format) of when the resource was created.

modified_at
string<date-time>
required

The timestamp (in ISO-8601 format) of when the resource was last modified.